Package org.apache.sling.commons.json.io

# Class JSONWriter

java.lang.Object
org.apache.sling.commons.json.io.JSONWriter

Direct Known Subclasses:
  `JSONStringer`

@Deprecated public class JSONWriter extends Object
Deprecated.
JSONWriter provides a quick and convenient way of producing JSON text. The texts produced strictly conform to JSON syntax rules. No whitespace is added, so the results are ready for transmission or storage. Each instance of JSONWriter can produce one JSON text.

A JSONWriter instance provides a `value` method for appending values to the text, and a `key` method for adding keys before values in objects. There are `array` and `endArray` methods that make and bound array values, and `object` and `endObject` methods which make and bound object values. All of these methods return the JSONWriter instance, permitting a cascade style. For example,

     new JSONWriter(myWriter)
             .object()
             .key("JSON")
             .value("Hello, World!")
             .endObject();

which writes

     {"JSON":"Hello, World!"}

The first method called must be `array` or `object`. There are no methods for adding commas or colons. JSONWriter adds them for you. Objects and arrays can be nested up to 200 levels deep.

This can sometimes be easier than using a JSONObject to build a string.

Version:
  2016-08-08
Author:
  JSON.org

## Field Summary

Fields
Modifier and Type
Field
Description
`protected char`
`mode`
Deprecated.
The current mode.
`protected Writer`
`writer`
Deprecated.
The writer that will receive the output.

## Constructor Summary

Constructors
Constructor
Description
`JSONWriter(Writer w)`
Deprecated.
Make a fresh JSONWriter.

## Method Summary

Modifier and Type
Method
Description
`JSONWriter`
`array()`
Deprecated.
Begin appending a new array.
`JSONWriter`
`endArray()`
Deprecated.
End an array.
`JSONWriter`
`endObject()`
Deprecated.
End an object.
`boolean`
`isTidy()`
Deprecated.
do not use, was removed from library and later stubbed
`JSONWriter`
`key(String string)`
Deprecated.
Append a key.
`JSONWriter`
`object()`
Deprecated.
Begin appending a new object.
`void`
`setTidy(boolean tidy)`
Deprecated.
do not use, was removed from library and later stubbed
`JSONWriter`
`value(boolean b)`
Deprecated.
Append either the value `true` or the value `false`.
`JSONWriter`
`value(double d)`
Deprecated.
Append a double value.
`JSONWriter`
`value(long l)`
Deprecated.
Append a long value.
`JSONWriter`
`value(Object object)`
Deprecated.
Append an object value.
`static String`
`valueToString(Object value)`
Deprecated.
Make a JSON text of an Object value.
`JSONWriter`
`writeArray(JSONArray a)`
Deprecated.
Append a JSON Array
`JSONWriter`
`writeObject(JSONObject o)`
Deprecated.
Append a JSON Object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### mode

protected char mode
Deprecated.
The current mode. Values: 'a' (array), 'd' (done), 'i' (initial), 'k' (key), 'o' (object).

### writer

protected Writer writer
Deprecated.
The writer that will receive the output. For backwards compatbility, this writer was changed from Appendable to Writer.

## Constructor Details

### JSONWriter

public JSONWriter(Writer w)
Deprecated.
Make a fresh JSONWriter. It can be used to build one JSON text. For backwards compatbility, this parameter was changed from Appendable to Writer.

## Method Details

### array

public JSONWriter array() throws JSONException
Deprecated.
Begin appending a new array. All values until the balancing `endArray` will be appended to this array. The `endArray` method must be called to mark the array's end.

Returns:
  this
Throws:
  `JSONException` - If the nesting is too deep, or if the object is started in the wrong place (for example as a key or after the end of the outermost array or object).

### endArray

public JSONWriter endArray() throws JSONException
Deprecated.
End an array. This method most be called to balance calls to `array`.

Returns:
  this
Throws:
  `JSONException` - If incorrectly nested.

### endObject

public JSONWriter endObject() throws JSONException
Deprecated.
End an object. This method most be called to balance calls to `object`.

Returns:
  this
Throws:
  `JSONException` - If incorrectly nested.

### key

public JSONWriter key(String string) throws JSONException
Deprecated.
Append a key. The key will be associated with the next value. In an object, every value must be preceded by a key.

Parameters:
  `string` - A key string.
Returns:
  this
Throws:
  `JSONException` - If the key is out of place. For example, keys do not belong in arrays or if the key is null.

### object

public JSONWriter object() throws JSONException
Deprecated.
Begin appending a new object. All keys and values until the balancing `endObject` will be appended to this object. The `endObject` method must be called to mark the object's end.

Returns:
  this
Throws:
  `JSONException` - If the nesting is too deep, or if the object is started in the wrong place (for example as a key or after the end of the outermost array or object).

### valueToString

public static String valueToString(Object value) throws JSONException
Deprecated.
Make a JSON text of an Object value. If the object has an value.toJSONString() method, then that method will be used to produce the JSON text. The method is required to produce a strictly conforming text. If the object does not contain a toJSONString method (which is the most common case), then a text will be produced by other means. If the value is an array or Collection, then a JSONArray will be made from it and its toJSONString method will be called. If the value is a MAP, then a JSONObject will be made from it and its toJSONString method will be called. Otherwise, the value's toString method will be called, and the result will be quoted.

Warning: This method assumes that the data structure is acyclical.

Parameters:
  `value` - The value to be serialized.
Returns:
  a printable, displayable, transmittable representation of the object, beginning with `{` (left brace) and ending with `}` (right brace).
Throws:
  `JSONException` - If the value is or contains an invalid number.

### value

public JSONWriter value(boolean b) throws JSONException
Deprecated.
Append either the value `true` or the value `false`.

Parameters:
  `b` - A boolean.
Returns:
  this
Throws:
  `JSONException` - if a called function has an error

### value

public JSONWriter value(double d) throws JSONException
Deprecated.
Append a double value.

Parameters:
  `d` - A double.
Returns:
  this
Throws:
  `JSONException` - If the number is not finite.

### value

public JSONWriter value(long l) throws JSONException
Deprecated.
Append a long value.

Parameters:
  `l` - A long.
Returns:
  this
Throws:
  `JSONException` - if a called function has an error

### value

public JSONWriter value(Object object) throws JSONException
Deprecated.
Append an object value.

Parameters:
  `object` - The object to append. It can be null, or a Boolean, Number, String, JSONObject, or JSONArray, or an object that implements JSONString.
Returns:
  this
Throws:
  `JSONException` - If the value is out of sequence.

### setTidy

@Deprecated public void setTidy(boolean tidy)
Deprecated.
do not use, was removed from library and later stubbed

### isTidy

@Deprecated public boolean isTidy()
Deprecated.
do not use, was removed from library and later stubbed

### writeObject

public JSONWriter writeObject(JSONObject o) throws JSONException
Deprecated.
Append a JSON Object

Parameters:
  `o` -
Returns:
Throws:
  `JSONException`

### writeArray

public JSONWriter writeArray(JSONArray a) throws JSONException
Deprecated.
Append a JSON Array

Parameters:
  `a` -
Returns:
Throws:
  `JSONException`